Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".
Test de l'ISO d'Ubuntu francophone : nous avons besoin de testeurs pour la version francophone d'Ubuntu 14.04. Liens et informations ici.

Attention, une faille de sécurité dans bash a récemment été rapportée, il est recommandé de mettre à jour son système (plus de détails) *** mise à jour 12/10/2014 ***

#1 Le 28/05/2013, à 18:19

Yodom

installation du pack Vidalia/Tor

Bonjour;

je suis plutôt un néophyte, mais comme je suis curieux j'ai voulu regarder comment fonctionnait Ubuntu.

J'ai donc installé la version 13.04.

J'ai voulu installer le pack vidalia. Je l'ai  téléchargé depuis la logithèque.

Mon problème commence... Quand j'ai voulu lancer Tor, j'ai eu le message suivant:

Vidalia n'est pas parvenu à démarrer Tor. Contrôlez vos options et assurez-vous que le nom et le chemin de l'exécutable de Tpr sont correctement indiqués.

J'ai cherché dans l'aide mais je n'arrive pas à trouver quel "chemin"indiquer...

Dans les paramètres avancés, j'ai:

Adresse: 127.0.0.1:9051
Utiliser un socket de domaine: je ne sais pas si je dois cocher cette option
Mot de passe: ? Dois-je cocher "défini aléatoirement"?
Fichier de configuration de Tor:/home/Dom/.vidalia/torrc

Voilà où je bloque.

Si quelqu'un peut m'aider, merci d'avance!

Hors ligne

#2 Le 29/05/2013, à 15:56

cinaptix

Re : installation du pack Vidalia/Tor

Une solution peut-être plus simple et qui marche :

- Télécharger ici le programme en question : https://www.torproject.org/download/dow … sy.html.en
- Décompresser l'archive
En mode administrateur :
- Copier le répertoire tor-browser_fr dans /opt
- Créer un lien du fichier start-tor-browser (dans opt/tor-browser_fr)
- Déplacer ce lien dans /usr/bin
- Créer un raccourci clavier ou une entrée dans le menu principal pour lancer Tor.
- Être patient. La connexion est parfois longue à être établie.

Voilou !


« Software is like sex, it's better when it's free. »  Linus Torvalds
Xubuntu 14.04 (64 bits) - CM Gigabyte GA-B85M-D3H - Pentium G3420 à 3,2 Ghz - RAM 8 Go à 1600 Mhz
CG nVidia GT 610 - SSD 64 Go (pour le système) + HDD 500 Go (pour les données).

Hors ligne

#3 Le 29/05/2013, à 21:10

Yodom

Re : installation du pack Vidalia/Tor

Bonsoir Cinaptix;

Pas de souci pour télécharger l'archive... Décompresser, je suppose que ça veut dire "extraire"?

Comment on fait pour passer en mode administrateur?

J'en suis là...désolé...

opt je crois l'avoir télécharger dans la logithèque...

Ça veut dire quoi "copier le répertoire tor-browse_fr dans opt...

Puis "créer un lien" du fichier start browser... etc...

Désolé si mes questions semblent idiotes..

Merci.

Hors ligne

#4 Le 29/05/2013, à 21:33

bishop

Re : installation du pack Vidalia/Tor

Salut Yodom !
Tu as un tutoriel d'installation ici : Installation du "Tor Browser Bundle" sur Ubuntu Raring 13.04.


Mon blog L'effet Papy Ion - | - Éditeur BBCode - | - Ma Bécane
Ma Bécane alimentée par Trusty 14.04 + additif VirtualBox (Elementary OS Luna)  | Portable LDLC Aurore : Trusty 14.04

Hors ligne

#5 Le 30/05/2013, à 09:43

cinaptix

Re : installation du pack Vidalia/Tor

Bonjour,

- /opt est un répertoire du système. On y loge, entre autres, les programmes installés manuellement.
- tor-browser est un programme stand alone. C'est à dire qu'il fonctionne directement en lançant l'executable (start-tor-browser) comme un .exe dans Windows.
- Placer un lien dans /usr/bin permet de le lancer comme n'importe quel autre programme de GNU/Linux (raccourcis clavier, lanceur sur le bureau, terminal, appfinder, menu... )

Pour GNU/Linux en général, une saine lecture : http://www.siteduzero.com/informatique/ … e-de-linux


« Software is like sex, it's better when it's free. »  Linus Torvalds
Xubuntu 14.04 (64 bits) - CM Gigabyte GA-B85M-D3H - Pentium G3420 à 3,2 Ghz - RAM 8 Go à 1600 Mhz
CG nVidia GT 610 - SSD 64 Go (pour le système) + HDD 500 Go (pour les données).

Hors ligne

#6 Le 30/05/2013, à 10:30

Yodom

Re : installation du pack Vidalia/Tor

Merci Cinaptix.... je vais étudier le lien ...

bishop: j'ai suivi ta procédure mais je bloque à l'étape 5 "Création d'un lanceur"

J'ai le message suivant:

Saisir le mot de passe ADMINISTRATEUR".

L'application "gedit'/usr/share/applications/tor-browser.deskstop" vous permet de modifier des parties essentielles de votre système.

Je ne sais quel mot de passe taper:

J'ai essayé le mien mais j'ai le message suivant:
(J'ai aussi essayé à tout hasard gksu:waiting, mais c'est pareil...)

Impossible de lancer gedit '/usr/share/applications/tor-browser.desktop' en tant qu'utilisateur root.

Échec lors de la communication avec gksu-run-helper.

Reçu :
su : Échec d'authentification
Ce qui était attendu :
gksu: waiting


Je ne dois pas avoir de mot de passe "administrateur"?

Hors ligne

#7 Le 30/05/2013, à 11:45

bishop

Re : installation du pack Vidalia/Tor

Salut Yodom !
Pour plus de simplicité essaie avec :

sudo gedit /usr/share/applications/tor-browser.deskstop

Tu entres ton mot de passe perso, le même que tu as entré pour les autres commandes.
Tu copies/colles le texte, tu enregistres et tu fermes l'éditeur de texte.

Et tu continues... roll


Mon blog L'effet Papy Ion - | - Éditeur BBCode - | - Ma Bécane
Ma Bécane alimentée par Trusty 14.04 + additif VirtualBox (Elementary OS Luna)  | Portable LDLC Aurore : Trusty 14.04

Hors ligne

#8 Le 30/05/2013, à 17:49

Yodom

Re : installation du pack Vidalia/Tor

Bonjour Bishop;

j'ai dû "bidouillé un truc pour essayer de me connecter en tant qu'administrateur... Je ne sais plus trop que ce qu' j'ai fait...

Bref, j'ai voulu réexécuter la procédure, et là c'est pire;...

Je bloque dès l'étape 1..

guest-VyR1JP@dom-Satellite-L450D:~$ sudo add-apt-repository ppa:timekiller/unity-systrayfix && sudo apt-get update && sudo apt-get upgrade
sudo: unable to change to sudoers gid: Opération non permise
guest-VyR1JP@dom-Satellite-L450D:~$

Voilà.... Un vrai casse....tête....

Hors ligne

#9 Le 30/05/2013, à 18:02

bishop

Re : installation du pack Vidalia/Tor

Tu n'as pas à ré-exécuter la procédure. Que donne la commande :

sudo gedit /usr/share/applications/tor-browser.deskstop

Tu entres ton mot de passe perso, le même que tu as entré pour les autres commandes.
Tu copies/colles le texte :

[Desktop Entry]
Version=1.0
Type=Application
Hidden=false
Terminal=false
Icon=/opt/tor-browser_fr/Tor-Browser.png
Name=Tor Browser
Exec=/opt/tor-browser_fr/start-tor-browser
Categories=Application;Network;

Tu enregistres et tu fermes l'éditeur de texte.


Mon blog L'effet Papy Ion - | - Éditeur BBCode - | - Ma Bécane
Ma Bécane alimentée par Trusty 14.04 + additif VirtualBox (Elementary OS Luna)  | Portable LDLC Aurore : Trusty 14.04

Hors ligne

#10 Le 31/05/2013, à 11:10

Yodom

Re : installation du pack Vidalia/Tor

Bonjour;

voilà ce que ça donne:

guest-Q95BS4@dom-Satellite-L450D:~$ sudo gedit /usr/share/applications/tor-browser.deskstop
sudo: unable to change to sudoers gid: Opération non permise
guest-Q95BS4@dom-Satellite-L450D:~$

Hors ligne

#11 Le 31/05/2013, à 14:15

bishop

Re : installation du pack Vidalia/Tor

Yodom !
Quand tu es sur l'écran d'accueil de ta session vérifie que tu n'es pas sur le Session d'invité. Si c'est le cas choisis ton nom d'utilisateur. C'est l'erreur la plus courante.


Si ça ne fonctionne pas...
Lit bien ce paragraphe et note les commandes sur un bout de papier car tu vas passer en mode console virtuelle.

1) Passer en mode console virtuelle.
Pour ce faire tu fais Ctrl+Alt+F1
Tu vas te retrouver avec un écran noir et un prompt (appuie sur Entrée si ce n'est pas le cas). On te demande d'entrer ton nom d'utilisateur puis ton mot de passe. N'oublie pas de sélectionner le verrouillage numérique pour pouvoir taper des chiffres, et cela même si ton voyant est allumé.


2) Tu te retrouves avec une invite de commande. Tape :

sudo chown -R user:user /home/user/.*

Tu appuies sur Entrée, tu entres ton mot de passe quand il est demandé, tu appuies de nouveau sur Entrée.
Important. En remplaçant user:user par ton nom utilisateur, celui que tu as donné quand tu as installé Ubuntu,  (par exemple pour moi c'est bishop:bishop). Idem pour l'/user/ de /home/user/.*  (par exemple pour moi c'est /home/bishop/.*).


3) Retour à l'écran d'accueil de ta session. Tu tapes :

sudo service lightdm restart

Tu appuies sur Entrée, tu entres ton mot de passe quand il est demandé, tu appuies de nouveau sur Entrée. Tu te retrouves sur ton écran d'accueil.

Puis tu testes la commande du poste #9... Et tu dis quoi.

Dernière modification par bishop (Le 31/05/2013, à 14:18)


Mon blog L'effet Papy Ion - | - Éditeur BBCode - | - Ma Bécane
Ma Bécane alimentée par Trusty 14.04 + additif VirtualBox (Elementary OS Luna)  | Portable LDLC Aurore : Trusty 14.04

Hors ligne

#12 Le 31/05/2013, à 14:51

lool_lauris

Re : installation du pack Vidalia/Tor

Salut,

Bien compliqué tout ça ...
Personnellement voici ce que j'ai fait pour installer Tor :
1/ Téléchargement de Tor Browser Bundle for 64-Bit GNU/Linux ici en prenant soin de choisir Français dans le menu déroulant => https://www.torproject.org/download/dow … sy.html.en
2/ Décompression du tar.gz sous /home/*user*/.tor-browser_fr
3/ Création d'un lanceur sous /home/*user*/.local/share/applications/Tor.desktop

[Desktop Entry]
Version=1.0
Type=Application
Terminal=false
Icon[fr_FR]=/home/*user*/.tor-browser_fr/tor-on.png
Name[fr_FR]=Tor
Exec=/home/*user*/.tor-browser_fr/start-tor-browser
Comment[fr_FR]=Surf anonyme
Name=Tor
Comment=Surf anonyme
Icon=/home/*user*/.tor-browser_fr/tor-on.png

4/ Mise d'un lien vers start-tor-browser dans le lanceur


Ne rien lâcher, les utopies d'aujourd'hui seront la réalité de demain !
------------------------------------------------------------------------------------------------
Soutenez le Libre => http://www.april.org/

Hors ligne

#13 Le 31/05/2013, à 15:29

bishop

Re : installation du pack Vidalia/Tor

Salut lool_lauris !
C'est bien... si tu es sous Precise (pour Quantal je ne sais pas).
Le problème, sous Raring, est que si tu minimises une application, dans ce cas précis l'interface de Vidalia, tu ne la retrouve pas. Raring ne gère pas, par défaut, la liste blanche qui permet d'ajouter des application dans le systray.
Et comme Vidalia tourne en tâche de fond, quand tu fermes le navigateur, Vidalia et Tor restent actifs. Si tu veux redémarrer le navigateur tu as droit à une fenêtre d'erreur. Le seule solution qui permer de relancer Tor/Vidalia/Firefox est de killer Vidalia...

De plus, en ce qui me concerne, je ne cautionne pas l'utilisation d'outils installés dans le dossier personnel, surtout des outils censés être dédiés à la sécurité.

Mais là, on ne parle pas de Tor, mais de l'erreur que Yodom rencontre suite à une mauvaise manip :

sudo: unable to change to sudoers gid: Opération non permise

Vu sur sudo su fails with 'Unable to change to sudoers gid :operation not permitted.' fault

Dernière modification par bishop (Le 31/05/2013, à 15:47)


Mon blog L'effet Papy Ion - | - Éditeur BBCode - | - Ma Bécane
Ma Bécane alimentée par Trusty 14.04 + additif VirtualBox (Elementary OS Luna)  | Portable LDLC Aurore : Trusty 14.04

Hors ligne

#14 Le 31/05/2013, à 15:51

lool_lauris

Re : installation du pack Vidalia/Tor

Oui, c'est vrai que je suis sous la 12.04 ...  o_O


Ne rien lâcher, les utopies d'aujourd'hui seront la réalité de demain !
------------------------------------------------------------------------------------------------
Soutenez le Libre => http://www.april.org/

Hors ligne

#15 Le 31/05/2013, à 16:25

Yodom

Re : installation du pack Vidalia/Tor

Bonjour Bishop...

J'ai essayé de suivre tes conseils...

J'en suis au stade #9...

j'ai 22 applications d'affichées...

J'ai pu vérifier dans "comptes-utilisateurs" que mon login était Dom et que j'étais en type de compte: administrateur...

Voilà où j'en suis....

Hors ligne

#16 Le 31/05/2013, à 16:54

bishop

Re : installation du pack Vidalia/Tor

Yodom écrit :
J'en suis au stade #9...
j'ai 22 applications d'affichées...


C'est pas plutôt le paragraphe 8)

8) L'heure de vérité.
Tapez tor dans la zone de recherche du Dash puis lancez Tor Browser.

Tor_01-mini.jpg

Normalement tu devrais voir le raccourci Tor Browser :


Yodom écrit :
J'ai pu vérifier dans "comptes-utilisateurs" que mon login était Dom et que j'étais en type de compte: administrateur...

Est que tu peux me donner le résultat de la commande. Dan un Terminal :

id

Mon blog L'effet Papy Ion - | - Éditeur BBCode - | - Ma Bécane
Ma Bécane alimentée par Trusty 14.04 + additif VirtualBox (Elementary OS Luna)  | Portable LDLC Aurore : Trusty 14.04

Hors ligne

#17 Le 31/05/2013, à 18:04

Yodom

Re : installation du pack Vidalia/Tor

Bon... Je dois pas être doué...

Dans le dash, quand je tape TOR ,j'ai 1 fichier.

tar-gz tor-browser gnu linux 3 25 8 dev-fr-tor93

Quand je l'ouvre, j'ai les options suivantes:

App/Data/Docs/Lib/Tmp et un fichier intitulé start-tor-browser .... inconnu...

Quand je "clique" sur ce fichier, c'est un feu d'artifice^^

Je copie-colle, mais c'est du lourd!

#!/bin/sh
#
# GNU/Linux does not really require something like RelativeLink.c
# However, we do want to have the same look and feel with similar features.
#
# To run in debug mode simply pass --debug
#
# Copyright 2011 The Tor Project.  See LICENSE for licensing information.

complain_dialog_title="Tor Browser Bundle"

# First, make sure DISPLAY is set.  If it isn't, we're hosed; scream
# at stderr and die.
if [ "x$DISPLAY" = "x" ]; then
    echo "$complain_dialog_title must be run within the X Window System." >&2
    echo "Exiting." >&2
    exit 1
fi

# Do not (try to) connect to the session manager
unset SESSION_MANAGER

# Determine whether we are running in a terminal.  If we are, we
# should send our error messages to stderr...
ARE_WE_RUNNING_IN_A_TERMINAL=0
if [ -t 1 -o -t 2 ]; then
    ARE_WE_RUNNING_IN_A_TERMINAL=1
fi

# ...unless we're running in the same terminal as startx or xinit.  In
# that case, the user is probably running us from a GUI file manager
# in an X session started by typing startx at the console.
#
# Hopefully, the local ps command supports BSD-style options.  (The ps
# commands usually used on Linux and FreeBSD do; do any other OSes
# support running Linux binaries?)
ps T 2>/dev/null |grep startx 2>/dev/null |grep -v grep 2>&1 >/dev/null
not_running_in_same_terminal_as_startx="$?"
ps T 2>/dev/null |grep xinit 2>/dev/null |grep -v grep 2>&1 >/dev/null
not_running_in_same_terminal_as_xinit="$?"

# not_running_in_same_terminal_as_foo has the value 1 if we are *not*
# running in the same terminal as foo.
if [ "$not_running_in_same_terminal_as_startx" -eq 0 -o \
     "$not_running_in_same_terminal_as_xinit" -eq 0 ]; then
    ARE_WE_RUNNING_IN_A_TERMINAL=0
fi

# Complain about an error, by any means necessary.
# Usage: complain message
# message must not begin with a dash.
complain () {
    # Trim leading newlines, to avoid breaking formatting in some dialogs.
    complain_message="`echo "$1" | sed '/./,$!d'`"

    # If we're being run in a terminal, complain there.
    if [ "$ARE_WE_RUNNING_IN_A_TERMINAL" -ne 0 ]; then
        echo "$complain_message" >&2
        return
    fi

    # Otherwise, we're being run by a GUI program of some sort;
    # try to pop up a message in the GUI in the nicest way
    # possible.
    #
    # In mksh, non-existent commands return 127; I'll assume all
    # other shells set the same exit code if they can't run a
    # command.  (xmessage returns 1 if the user clicks the WM
    # close button, so we do need to look at the exact exit code,
    # not just assume the command failed to display a message if
    # it returns non-zero.)

    # First, try zenity.
    zenity --error \
        --title="$complain_dialog_title" \
        --text="$complain_message"
    if [ "$?" -ne 127 ]; then
        return
    fi

    # Try kdialog.
    kdialog --title "$complain_dialog_title" \
        --error "$complain_message"
    if [ "$?" -ne 127 ]; then
        return
    fi

    # Try xmessage.
    xmessage -title "$complain_dialog_title" \
        -center \
        -buttons OK \
        -default OK \
        -xrm '*message.scrollVertical: Never' \
        "$complain_message"
    if [ "$?" -ne 127 ]; then
        return
    fi

    # Try gxmessage.  This one isn't installed by default on
    # Debian with the default GNOME installation, so it seems to
    # be the least likely program to have available, but it might
    # be used by one of the 'lightweight' Gtk-based desktop
    # environments.
    gxmessage -title "$complain_dialog_title" \
        -center \
        -buttons GTK_STOCK_OK \
        -default OK \
        "$complain_message"
    if [ "$?" -ne 127 ]; then
        return
    fi
}

if [ "`id -u`" -eq 0 ]; then
    complain "The Tor Browser Bundle should not be run as root.  Exiting."
    exit 1
fi

debug=0
usage_message="usage: $0 [--debug]"
if [ "$#" -eq 1 -a \( "x$1" = "x--debug" -o "x$1" = "x-debug" \) ]; then
    debug=1
    printf "\nDebug enabled.\n\n"
elif [ "$#" -eq 1 -a \( "x$1" = "x--help" -o "x$1" = "x-help" \) ]; then
    echo "$usage_message"
    exit 0
fi

# If the user hasn't requested 'debug mode', close whichever of stdout
# and stderr are not ttys, to keep Vidalia and the stuff loaded by/for
# it (including the system's shared-library loader) from printing
# messages to $HOME/.xsession-errors .  (Users wouldn't have seen
# messages there anyway.)
#
# If the user has requested 'debug mode', don't muck with the FDs.
if [ "$debug" -ne 1 ]; then
  if [ '!' -t 1 ]; then
    # stdout is not a tty
    exec >/dev/null
  fi
  if [ '!' -t 2 ]; then
    # stderr is not a tty
    exec 2>/dev/null
  fi
fi

# If XAUTHORITY is unset, set it to its default value of $HOME/.Xauthority
# before we change HOME below.  (See xauth(1) and #1945.)  XDM and KDM rely
# on applications using this default value.
if [ -z "$XAUTHORITY" ]; then
    XAUTHORITY=~/.Xauthority
    export XAUTHORITY
fi

# If this script is being run through a symlink, we need to know where
# in the filesystem the script itself is, not where the symlink is.
myname="$0"
if [ -L "$myname" ]; then
    # XXX readlink is not POSIX, but is present in GNU coreutils
    # and on FreeBSD.  Unfortunately, the -f option (which follows
    # a whole chain of symlinks until it reaches a non-symlink
    # path name) is a GNUism, so we have to have a fallback for
    # FreeBSD.  Fortunately, FreeBSD has realpath instead;
    # unfortunately, that's also non-POSIX and is not present in
    # GNU coreutils.
    #
    # If this launcher were a C program, we could just use the
    # realpath function, which *is* POSIX.  Too bad POSIX didn't
    # make that function accessible to shell scripts.

    # If realpath is available, use it; it Does The Right Thing.
    possibly_my_real_name="`realpath "$myname" 2>/dev/null`"
    if [ "$?" -eq 0 ]; then
        myname="$possibly_my_real_name"
    else
        # realpath is not available; hopefully readlink -f works.
        myname="`readlink -f "$myname" 2>/dev/null`"
        if [ "$?" -ne 0 ]; then
            # Ugh.
            complain "start-tor-browser cannot be run using a symlink on this operating system."
        fi
    fi
fi

# Try to be agnostic to where we're being started from, chdir to where
# the script is.
mydir="`dirname "$myname"`"
test -d "$mydir" && cd "$mydir"

# If ${PWD} results in a zero length HOME, we can try something else...
if [ ! "${PWD}" ]; then
    # "hacking around some braindamage"
    HOME="`pwd`"
    export HOME
    surveysays="This system has a messed up shell.\n"
else
    HOME="${PWD}"
    export HOME
fi

if ldd ./App/Firefox/firefox-bin | grep -q "libz\.so\.1.*not found"; then
    LD_LIBRARY_PATH="${HOME}/Lib:${HOME}/Lib/libz"
else
    LD_LIBRARY_PATH="${HOME}/Lib"
fi

LDPATH="${HOME}/Lib/"
export LDPATH
export LD_LIBRARY_PATH

if [ "$debug" -eq 1 ]; then
    printf "\nStarting Vidalia now\n"
    cd "${HOME}"
    printf "\nLaunching Vidalia from: `pwd`\n"
    # XXX Someday we should pass whatever command-line arguments we got
    # (probably filenames or URLs) to Firefox.
    ./App/vidalia --loglevel debug --logfile vidalia-debug-log \
    --datadir Data/Vidalia/ -style Cleanlooks
    printf "\nVidalia exited with the following return code: $?\n"
    exit
fi

# not in debug mode, run proceed normally
printf "\nLaunching Tor Browser Bundle for Linux in ${HOME}\n"
cd "${HOME}"
# XXX Someday we should pass whatever command-line arguments we got
# (probably filenames or URLs) to Firefox.
./App/vidalia --datadir Data/Vidalia/ -style Cleanlooks
exitcode="$?"
if [ "$exitcode" -ne 0 ]; then
    complain "Vidalia exited abnormally.  Exit code: $exitcode"
    exit "$exitcode"
else
    printf '\nVidalia exited cleanly.\n'
fi

Hors ligne

#18 Le 31/05/2013, à 18:27

bishop

Re : installation du pack Vidalia/Tor

Yodom !
Ça ne peut pas marcher. Ce n'est pas un lanceur. Tu n'as pas suivi correctement le tuto. sad

On va déja voir si le Tor Browser Bundle est installé. Copie/colle dans un Terminal :

cd /opt/tor-browser_fr

Puis tu lances Tor Browser :

./start-tor-browser

Si ça fonctionne...
Après avoir fermé le navigateur, tu dois tuer le processus Vidalia :

killall vidalia

Et tu me dis quoi.


Mon blog L'effet Papy Ion - | - Éditeur BBCode - | - Ma Bécane
Ma Bécane alimentée par Trusty 14.04 + additif VirtualBox (Elementary OS Luna)  | Portable LDLC Aurore : Trusty 14.04

Hors ligne

#19 Le 31/05/2013, à 19:47

Yodom

Re : installation du pack Vidalia/Tor

Alors là, c'est incroyable... (pour moi....)



J'ai fait:

cd /opt/tor-browser_fr

Puis tu lances Tor Browser :

./start-tor-browser



dom@dom-Satellite-L450D:~$ cd /opt/tor-browser_fr
dom@dom-Satellite-L450D:/opt/tor-browser_fr$
dom@dom-Satellite-L450D:/opt/tor-browser_fr$ ./start-tor-browser

Launching Tor Browser Bundle for Linux in /opt/tor-browser_fr

Et je me suis retrouvé connecté à Tor....

Tu dis ensuite:

Si ça fonctionne...
Après avoir fermé le navigateur, tu dois tuer le processus Vidalia :

C'est quoi le navigateur?? Je ferme tor et je tape "killall vidalia"?

Hors ligne

#20 Le 31/05/2013, à 20:24

bishop

Re : installation du pack Vidalia/Tor

Yodom écrit :
C'est quoi le navigateur??

C'est le navigateur web Firefox qui utilise Tor. C'est comme le navigateur web que tu utilises pour te connecter à ubuntu-fr pour envoyer des messages, etc...


Yodom écrit :
Je ferme tor et je tape "killall vidalia"?

Quand tu as fini de naviguer et que tu as fermer Tor (le navigateur web Firefox qui utilise Tor) tu tapes dans un Terminal :

killall vidalia

Bien ! C'est déjà ça que tu puisses lancer Firefox/Tor/Vidalia... tongue
Je mange et on va essayer de poursuivre la configuration... si tu le veux.

Dernière modification par bishop (Le 31/05/2013, à 20:25)


Mon blog L'effet Papy Ion - | - Éditeur BBCode - | - Ma Bécane
Ma Bécane alimentée par Trusty 14.04 + additif VirtualBox (Elementary OS Luna)  | Portable LDLC Aurore : Trusty 14.04

Hors ligne

#21 Le 31/05/2013, à 20:32

Yodom

Re : installation du pack Vidalia/Tor

Bon appétit!

Hors ligne

#22 Le 31/05/2013, à 23:32

bishop

Re : installation du pack Vidalia/Tor

Essaie de créer le lanceur. Dans un Terminal :

sudo gedit /usr/share/applications/tor-browser.desktop

Appuie sur Entrée, entre ton mot de passe quand il est requis, appuie de nouveau sur Entrée.


Copie/colle dans l'éditeur de texte:

[Desktop Entry]
Version=1.0
Type=Application
Hidden=false
Terminal=false
Icon=/opt/tor-browser_fr/Tor-Browser.png
Name=Tor Browser
Exec=/opt/tor-browser_fr/start-tor-browser
Categories=Application;Network;

Enregistre et ferme l'éditeur de texte. Ferme le Terminal.


Tape tor browser dans la zone de recherche du Dash puis, si le raccourci Tor Browser (l'oignon dans la capture d'écran ci-dessous) est présent, lance Tor Browser.

Tor_01-mini.jpg

Tu me dis quoi et on voit la suite après...

Dernière modification par bishop (Le 31/05/2013, à 23:36)


Mon blog L'effet Papy Ion - | - Éditeur BBCode - | - Ma Bécane
Ma Bécane alimentée par Trusty 14.04 + additif VirtualBox (Elementary OS Luna)  | Portable LDLC Aurore : Trusty 14.04

Hors ligne

#23 Le 01/06/2013, à 00:24

Yodom

Re : installation du pack Vidalia/Tor

J'ai enregistré ce que tu m'as indiqué dans l'éditeur de textes (j'ai fini par comprendre  ce que c'était...)

J'ai enregistré, tout fermé et taper tor browser dans le dash...

Ce n'est pas un oignon qui apparaît, mais un dossier tor.

Quand je veux le lancer, le processus s'arrête et j'ai une fenêtre qui apparaît avec:

Mot de passe requis:

Vidalia has connected to a running tor process.Please, entered your control password...

J'entre mon mot de passe habituel, mais il semble ne pas l'accepter car la même question (mot de passe requis) apparaît....

J'ai encore du zapper un truc!

Hors ligne

#24 Le 01/06/2013, à 01:11

bishop

Re : installation du pack Vidalia/Tor

Tant que tu n'as pas le raccourci Tor Browser ne clique pas sur les dossier ou les archives.


Yodom écrit :
J'ai encore du zapper un truc!

Non ! Désolé, c'est de ma faute, de ma très grande faute. Il n'y a pas d'icône dans le dossier tor-browser_fr. Il faut le télécharger et le déplacer dans le dossier /opt/tor-browser_fr/. Copie/colle dans un Terminal :

cd && wget -q http://kaisman.fr/mesmots/mydossier/myimg/Tor/Tor-Browser.png

Puis dans le même Terminal :

sudo mv Tor-Browser.png /opt/tor-browser_fr/

Il faut killer Vidalia (tant que l'installlation n'est pas complète). Dans un Terminal :

killall vidalia

Tu tapes tor browser dans la zone de recherche du Dash puis, si le raccourci Tor Browser (l'oignon dans la capture d'écran ci-dessous) est présent, tu lances Tor Browser.

Tor_01-mini.jpg

Tu me dis quoi et on voit la suite après...

Dernière modification par bishop (Le 01/06/2013, à 01:42)


Mon blog L'effet Papy Ion - | - Éditeur BBCode - | - Ma Bécane
Ma Bécane alimentée par Trusty 14.04 + additif VirtualBox (Elementary OS Luna)  | Portable LDLC Aurore : Trusty 14.04

Hors ligne

#25 Le 01/06/2013, à 10:33

Yodom

Re : installation du pack Vidalia/Tor

Bonjour;

J'ai enfin "l'oignon" dans les applications...

[Sat Jun 1 10:26:41 2013] Le programme Tor est en cours de fonctionnement - Vous utilisez actuellement la version "0.2.3.25 (git-17c24b3118224d65)" du programme Tor.

Par contre, la commande killall vidalia, je vois pas quand et où la mettre...

Et je ne vois pas l'icône vidalia, ni arriver sur la page de vidalia...

Il va finir par nous faire pleurer cet oignon...

Hors ligne

Haut de page ↑